package com.bailuntec;


import com.bailuntec.domain.entity.JobPointLog;
import com.bailuntec.job.CalculateEbayItemJob;
import org.junit.jupiter.api.Test;

import java.math.BigDecimal;
import java.math.RoundingMode;
import java.time.LocalDateTime;

public class ApplicationTest
{

    @Test
    public void shouldAnswerWithTrue()
    {
        CalculateEbayItemJob calculateEbayItemJob = new CalculateEbayItemJob();
        JobPointLog jobPointLog = new JobPointLog();
        jobPointLog.setPageIndex(0);
        jobPointLog.setPageSize(100);
        jobPointLog.setStartTime(LocalDateTime.of(2020,02, 01, 00, 00, 00));
        jobPointLog.setEndTime(LocalDateTime.of(2020, 03, 15, 00, 00, 00));
        calculateEbayItemJob.executeJob(null, jobPointLog);
    }
}
